Bug 238432 - kernel crash when running compressed tar backup over nfs mount
Summary: kernel crash when running compressed tar backup over nfs mount
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: Reopened
Depends On: 234008 234283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-30 13:57 UTC by Gerry Reno
Modified: 2009-12-14 20:38 UTC (History)
2 users (show)

Fixed In Version: 2.6.20-1.2952.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 00:08:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output from crash (126.70 KB, image/jpeg)
2007-04-30 13:57 UTC, Gerry Reno
no flags Details

Description Gerry Reno 2007-04-30 13:57:38 UTC
Description of problem:
Kernel crashes on nfs clients that push a compressed tar backup over an nfs
mount.  Backups are around 3GB compressed.  Crash usually occurs about 1GB into
backup.  It varies quite a lot though.

Version-Release number of selected component (if applicable):
kernel 2.6.19-1.2895.fc6xen

How reproducible:
everytime backup runs

Steps to Reproduce:
1. create nfs mount to backup server
2. run compressed tar backup over nfs mount
3.
  
Actual results:
complete system lockup
kernel crash


Expected results:
successful backup over nfs mount

Additional info:

Comment 1 Gerry Reno 2007-04-30 13:57:38 UTC
Created attachment 153796 [details]
console output from crash

Comment 2 Eduardo Habkost 2007-05-16 15:11:51 UTC
The hypervisor_callback() in the call trace make me suspect this is the same 
problem of bug 234008. But I won't mark it as duplicate because I am not sure 
it is really the same problem.

You will problably want to add your e-mail to the CC list on bug 234008, to 
get news on the problem, and try a new kernel after bug 234008 is fixed, to 
check if the fix solves your problem, also.

Comment 3 Eduardo Habkost 2007-06-04 12:33:15 UTC
Bug #234008 has a fix on updates-testing repository, kernel-xen version  
2.6.20-1.2954.fc6. Could you check if this version fix your problem, also?

Comment 4 Gerry Reno 2007-06-04 13:07:27 UTC
Cannot test for this issue because all 2.6.20 kernels immediately crash on my
servers with an "unknown bus timing" error.  I am waiting on a fix to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=234283 for that problem.


Comment 5 Eduardo Habkost 2007-06-04 13:45:36 UTC
I was supposed to mean kernel-xen version 2.6.20-1.2952.fc6.

Adding bug #234283 to the dependency list of this bug.

Comment 6 Eduardo Habkost 2007-06-07 18:16:21 UTC
Hi,

I have noticed you found a workaround for bug #234283. Are you able to boot 
kernel-xen 2.6.20-1.2952.fc6, now?

Comment 7 Gerry Reno 2007-06-07 18:39:09 UTC
Yes. With special tweaked BIOS settings it will boot now.

Comment 8 Eduardo Habkost 2007-06-12 14:11:30 UTC
Have you been able to reproduce the problem under kernel-xen 
2.6.20-1.2952.fc6?

Comment 9 Gerry Reno 2007-06-12 14:27:41 UTC
I restarted those process a couple of day ago and I just checked and it looks
like they are completing successfully.  So far I do not see any hangs.


Comment 10 Eduardo Habkost 2007-06-12 15:09:09 UTC
(In reply to comment #9)
> I restarted those process a couple of day ago and I just checked and it 
looks
> like they are completing successfully.  So far I do not see any hangs.
> 

I am closing this bug, then. If you see the same problem again, feel free to 
reopen the bug.

Comment 11 Gerry Reno 2007-06-24 16:35:24 UTC
I am reopening this bug as I am seeing this behavior again using kernel
2.6.20-1.2952.fc6 also with xen kernel.  What I also notice besides the complete
system hang is that on reboot I get a md2 is not clean -- starting background
reconstruction.  This is the array that holds the root (/) filesystem and where
the NFS mount is located.  When the kernel hang occurs it is breaking the array
as well.  This also happened previously but I just wasn't connecting it to the
same event.  This happens on four identically configured machines.  Always md2
that breaks on all of them.


Comment 12 Red Hat Bugzilla 2007-07-25 01:40:45 UTC
change QA contact

Comment 13 Chris Lalancette 2008-02-27 00:08:50 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.